PANDA_ADDCHILD(3)

NAME
panda_addchild - add an object to the object tree

SYNOPSIS
 #include<panda/constants.h>
 #include<panda/functions.h>
 void panda_addchild (panda_object *parent, panda_object *child);

DESCRIPTION

PANDA INTERNAL. Once an object has been created with panda_newobject() it is added to the object tree with this call. This ensures it is written out to disc via panda_writeobject() when panda_close() is called.

RETURNS

None

EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> panda_pdf *document; panda_object *obj, *obj2; panda_init(); document = panda_open("filename.pdf", "w"); obj = panda_newobject(document, panda_object_normal); obj2 = panda_newobject(document, panda_object_normal); panda_addhild(obj, obj2);

SEE ALSO

panda_newobject, panda_freeobject, panda_writeobject, panda_traverseobjects

VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.